/* 
    COMPONENTS
*/

/* Buttons */

.cta-secondary {
    display: inline-block;
    text-decoration: underline;
    font-weight: 500;
    color: #5D8792;
}

.cta-secondary:hover {
    color: var(--color-main-blue);
}

.btn {
    display: inline-block;
    border-radius: 10px;
    text-decoration: none;
    color: #5D8792;
    font-weight: 400;
}

.btn--primary {
    background: var(--color-main-blue);
    color: var(--color-white);
    padding: 12px 20px;
}

@media (max-width: 768px) {
    .btn--primary {
        width: 100%;
        text-align: center;
    }
}


.btn--primary:hover,
.btn--secondary {
    color: var(--color-main-blue);
    background: var(--color-white);
    border: 1px solid var(--color-black);
}

.btn--secondary {
    padding: 12px 20px;
}

.btn--secondary:hover {
    color: var(--color-white);
    background: var(--color-main-blue);
}

/* image-triptical */

.img-triptical {
    display: flex;
    justify-content: center;
    align-items: stretch;
    width: 100%;
    height: 100%;
    overflow: hidden;
    gap: 20px;
}

.img-triptical div img {
    height: 400px;
    width: 100%;
}

.triptical-card {
    display: flex;
    padding: 8px;
    flex-direction: column;
    align-items: center;
    gap: var(--space-xs);
    align-self: stretch;
    border: 1px solid var(--color-main-blue);
}

.img-triptical div:nth-child(1) .triptical-card {
    border-radius: 
        var(--radius-lg) 0 0 var(--radius-lg);
}

.img-triptical div:nth-child(3) .triptical-card {
    border-radius: 0 var(--radius-lg) var(--radius-lg) 0;
}

.eco-responsibility-image {
    width: 100%;
    align-self: stretch;
    aspect-ratio: 140/59;
    border-radius: 50px;
}


@media (max-width: 1020px) {
    .img-triptical {
        flex-direction: column;
        gap: var(--space-xs);
    }

    .img-triptical div img {
        display: none;
    }

    .triptical-card {
        flex-direction: column;
        gap: var(--space-xs);
    }

    .img-triptical div:nth-child(1) .triptical-card {
        border-radius: var(--radius-lg) var(--radius-lg) 0 0;
    }

    .img-triptical div:nth-child(3) .triptical-card {
        border-radius: 0 0 var(--radius-lg) var(--radius-lg);
    }

}


/* Advantage Card */

.advantage-cards-list {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: var(--space-sm);
    align-self: stretch;
}

.advantage-card-container {
    display: flex;
    align-items: center;
    gap: var(--space-xs);
    align-self: stretch;
}

.advantage-card-icon {
    display: flex;
    width: 178px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    align-self: stretch;
    border-radius: var(--radius-xl) 0 0 var(--radius-xl);
    border: 4px solid var(--color-main-blue);
    background: var(--color-main-blue);
}

.advantage-card-icon h4 {
    display: none;
}

.advantage-card-description {
    display: flex;
    padding: var(--space-sm);
    flex-direction: column;
    align-items: center;
    gap: var(--space-sm);
    flex: 1 0 0;
    border-radius: 0 var(--radius-xl) var(--radius-xl) 0;
    border: 4px solid var(--color-main-blue);
    background: var(--color-white);
}

@media (max-width: 1020px) {
    .advantage-card-container {
        flex-direction: column;
        gap: 4px;
    }

    .advantage-card-icon {
        flex-direction: row;
        width: 100%;
        border-radius: var(--radius-xl) var(--radius-xl) 0 0;
        gap: var(--space-xs)
    }

    .advantage-card-icon img {
        max-height: 50px;
    }

    .advantage-card-icon h4 {
        display: flex;
        color: var(--color-white)
    }

    .advantage-card-description {
        border-radius: 0 0 var(--radius-xl) var(--radius-xl);
    }

    .advantage-card-description h4 {
        display: none;
    }
}

/* Customer Feedbacks */

.customer-feedback-card {
    display: flex;
    padding: 16px 8px;
    flex-direction: column;
    align-items: center;
    gap: var(--space-xs);
    border-radius: 20px;
    border: 2px solid var(--color-main-dark-blue);
    background: var(--color-white);
}